Create a SEPA Direct Debit subscription
curl --request POST \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direct_debit_subscription": {
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initial_collection_date": "2022-01-21",
"amount": {
"value": "102.34",
"currency": "EUR"
},
"reference": "<string>",
"notify_client": true,
"schedule_type": "one_off",
"direct_debit_mandate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"send_mandate_signature_email": true
}
}
'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions"
payload = { "direct_debit_subscription": {
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initial_collection_date": "2022-01-21",
"amount": {
"value": "102.34",
"currency": "EUR"
},
"reference": "<string>",
"notify_client": True,
"schedule_type": "one_off",
"direct_debit_mandate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"send_mandate_signature_email": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
direct_debit_subscription: {
client_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
bank_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
initial_collection_date: '2022-01-21',
amount: {value: '102.34', currency: 'EUR'},
reference: '<string>',
notify_client: true,
schedule_type: 'one_off',
direct_debit_mandate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
send_mandate_signature_email: true
}
})
};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"direct_debit_subscription": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direct_debit_mandate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initial_collection_date": "2023-12-25",
"amount": {
"value": "102.34",
"currency": "EUR"
},
"reference": "<string>",
"status": "pending",
"schedule_type": "one_off",
"notify_client": true,
"created_at": "2023-11-07T05:31:56Z",
"sign_url": "<string>"
}
}Subscriptions
Create a SEPA Direct Debit subscription
OAuth scope: sepa_direct_debit.write
Create a one-off SEPA Direct Debit subscription. When direct_debit_mandate_id is omitted, a new mandate is created and the response includes sign_url.
POST
/
v2
/
sepa
/
direct_debit_subscriptions
Create a SEPA Direct Debit subscription
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Show child attributes
Show child attributes
Response
The SEPA Direct Debit subscription has been created successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I